### Hierarchy

- AccountClient

## Index

### Constructors

- constructor

### Properties

- client_
- credentials_
- hostname_
- methodDescriptorAccountExists
- methodDescriptorBackupAccount
- methodDescriptorChangePassword
- methodDescriptorCloseAccount
- methodDescriptorCreateAccount
- methodDescriptorDeleteAccount
- methodDescriptorIsAccountOpen
- methodDescriptorIsAppInitialized
- methodDescriptorOpenAccount
- methodDescriptorRestoreAccount
- options_

### Methods

- accountExists
- backupAccount
- changePassword
- closeAccount
- createAccount
- deleteAccount
- isAccountOpen
- isAppInitialized
- openAccount
- restoreAccount

## Constructors

### constructor

- new AccountClient(hostname: string, credentials?: null | {}, options?: null | {}): AccountClient

- - Defined in src/protobuf/GrpcServiceClientPb.ts:153

  #### Parameters

  - ##### hostname: string

  - ##### Optional credentials: null | {}

  - ##### Optional options: null | {}

  #### Returns AccountClient

## Properties

### client_

client_: AbstractClientBase

- Defined in src/protobuf/GrpcServiceClientPb.ts:148

### credentials_

credentials_: null | {}

- Defined in src/protobuf/GrpcServiceClientPb.ts:150

### hostname_

hostname_: string

- Defined in src/protobuf/GrpcServiceClientPb.ts:149

### methodDescriptorAccountExists

methodDescriptorAccountExists: MethodDescriptor < AccountExistsRequest , AccountExistsReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:166

### methodDescriptorBackupAccount

methodDescriptorBackupAccount: MethodDescriptor < BackupAccountRequest , BackupAccountReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:510

### methodDescriptorChangePassword

methodDescriptorChangePassword: MethodDescriptor < ChangePasswordRequest , ChangePasswordReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:381

### methodDescriptorCloseAccount

methodDescriptorCloseAccount: MethodDescriptor < CloseAccountRequest , CloseAccountReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:424

### methodDescriptorCreateAccount

methodDescriptorCreateAccount: MethodDescriptor < CreateAccountRequest , CreateAccountReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:252

### methodDescriptorDeleteAccount

methodDescriptorDeleteAccount: MethodDescriptor < DeleteAccountRequest , DeleteAccountReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:467

### methodDescriptorIsAccountOpen

methodDescriptorIsAccountOpen: MethodDescriptor < IsAccountOpenRequest , IsAccountOpenReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:209

### methodDescriptorIsAppInitialized

methodDescriptorIsAppInitialized: MethodDescriptor < IsAppInitializedRequest , IsAppInitializedReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:338

### methodDescriptorOpenAccount

methodDescriptorOpenAccount: MethodDescriptor < OpenAccountRequest , OpenAccountReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:295

### methodDescriptorRestoreAccount

methodDescriptorRestoreAccount: MethodDescriptor < RestoreAccountRequest , RestoreAccountReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:532

### options_

options_: null | {}

- Defined in src/protobuf/GrpcServiceClientPb.ts:151

## Methods

### accountExists

- accountExists(request: AccountExistsRequest, metadata: null | Metadata ): Promise< AccountExistsReply >
- accountExists(request: AccountExistsRequest, metadata: null | Metadata, callback: (err: RpcError, response: AccountExistsReply ) => void): ClientReadableStream < AccountExistsReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:177

  #### Parameters

  - ##### request: AccountExistsRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< AccountExistsReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:181

  #### Parameters

  - ##### request: AccountExistsRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: AccountExistsReply ) => void

    - - (err: RpcError, response: AccountExistsReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: AccountExistsReply

        #### Returns void

  #### Returns ClientReadableStream < AccountExistsReply >

### backupAccount

- backupAccount(request: BackupAccountRequest, metadata?: Metadata ): ClientReadableStream < BackupAccountReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:521

  #### Parameters

  - ##### request: BackupAccountRequest

  - ##### Optional metadata: Metadata

  #### Returns ClientReadableStream < BackupAccountReply >

### changePassword

- changePassword(request: ChangePasswordRequest, metadata: null | Metadata ): Promise< ChangePasswordReply >
- changePassword(request: ChangePasswordRequest, metadata: null | Metadata, callback: (err: RpcError, response: ChangePasswordReply ) => void): ClientReadableStream < ChangePasswordReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:392

  #### Parameters

  - ##### request: ChangePasswordRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< ChangePasswordReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:396

  #### Parameters

  - ##### request: ChangePasswordRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: ChangePasswordReply ) => void

    - - (err: RpcError, response: ChangePasswordReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: ChangePasswordReply

        #### Returns void

  #### Returns ClientReadableStream < ChangePasswordReply >

### closeAccount

- closeAccount(request: CloseAccountRequest, metadata: null | Metadata ): Promise< CloseAccountReply >
- closeAccount(request: CloseAccountRequest, metadata: null | Metadata, callback: (err: RpcError, response: CloseAccountReply ) => void): ClientReadableStream < CloseAccountReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:435

  #### Parameters

  - ##### request: CloseAccountRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< CloseAccountReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:439

  #### Parameters

  - ##### request: CloseAccountRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: CloseAccountReply ) => void

    - - (err: RpcError, response: CloseAccountReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: CloseAccountReply

        #### Returns void

  #### Returns ClientReadableStream < CloseAccountReply >

### createAccount

- createAccount(request: CreateAccountRequest, metadata: null | Metadata ): Promise< CreateAccountReply >
- createAccount(request: CreateAccountRequest, metadata: null | Metadata, callback: (err: RpcError, response: CreateAccountReply ) => void): ClientReadableStream < CreateAccountReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:263

  #### Parameters

  - ##### request: CreateAccountRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< CreateAccountReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:267

  #### Parameters

  - ##### request: CreateAccountRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: CreateAccountReply ) => void

    - - (err: RpcError, response: CreateAccountReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: CreateAccountReply

        #### Returns void

  #### Returns ClientReadableStream < CreateAccountReply >

### deleteAccount

- deleteAccount(request: DeleteAccountRequest, metadata: null | Metadata ): Promise< DeleteAccountReply >
- deleteAccount(request: DeleteAccountRequest, metadata: null | Metadata, callback: (err: RpcError, response: DeleteAccountReply ) => void): ClientReadableStream < DeleteAccountReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:478

  #### Parameters

  - ##### request: DeleteAccountRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< DeleteAccountReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:482

  #### Parameters

  - ##### request: DeleteAccountRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: DeleteAccountReply ) => void

    - - (err: RpcError, response: DeleteAccountReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: DeleteAccountReply

        #### Returns void

  #### Returns ClientReadableStream < DeleteAccountReply >

### isAccountOpen

- isAccountOpen(request: IsAccountOpenRequest, metadata: null | Metadata ): Promise< IsAccountOpenReply >
- isAccountOpen(request: IsAccountOpenRequest, metadata: null | Metadata, callback: (err: RpcError, response: IsAccountOpenReply ) => void): ClientReadableStream < IsAccountOpenReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:220

  #### Parameters

  - ##### request: IsAccountOpenRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< IsAccountOpenReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:224

  #### Parameters

  - ##### request: IsAccountOpenRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: IsAccountOpenReply ) => void

    - - (err: RpcError, response: IsAccountOpenReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: IsAccountOpenReply

        #### Returns void

  #### Returns ClientReadableStream < IsAccountOpenReply >

### isAppInitialized

- isAppInitialized(request: IsAppInitializedRequest, metadata: null | Metadata ): Promise< IsAppInitializedReply >
- isAppInitialized(request: IsAppInitializedRequest, metadata: null | Metadata, callback: (err: RpcError, response: IsAppInitializedReply ) => void): ClientReadableStream < IsAppInitializedReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:349

  #### Parameters

  - ##### request: IsAppInitializedRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< IsAppInitializedReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:353

  #### Parameters

  - ##### request: IsAppInitializedRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: IsAppInitializedReply ) => void

    - - (err: RpcError, response: IsAppInitializedReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: IsAppInitializedReply

        #### Returns void

  #### Returns ClientReadableStream < IsAppInitializedReply >

### openAccount

- openAccount(request: OpenAccountRequest, metadata: null | Metadata ): Promise< OpenAccountReply >
- openAccount(request: OpenAccountRequest, metadata: null | Metadata, callback: (err: RpcError, response: OpenAccountReply ) => void): ClientReadableStream < OpenAccountReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:306

  #### Parameters

  - ##### request: OpenAccountRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< OpenAccountReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:310

  #### Parameters

  - ##### request: OpenAccountRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: OpenAccountReply ) => void

    - - (err: RpcError, response: OpenAccountReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: OpenAccountReply

        #### Returns void

  #### Returns ClientReadableStream < OpenAccountReply >

### restoreAccount

- restoreAccount(request: RestoreAccountRequest, metadata: null | Metadata ): Promise< RestoreAccountReply >
- restoreAccount(request: RestoreAccountRequest, metadata: null | Metadata, callback: (err: RpcError, response: RestoreAccountReply ) => void): ClientReadableStream < RestoreAccountReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:543

  #### Parameters

  - ##### request: RestoreAccountRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< RestoreAccountReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:547

  #### Parameters

  - ##### request: RestoreAccountRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: RestoreAccountReply ) => void

    - - (err: RpcError, response: RestoreAccountReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: RestoreAccountReply

        #### Returns void

  #### Returns ClientReadableStream < RestoreAccountReply >

Generated using TypeDoc